CREATE SEQUENCE lancamentos_id_seq AS BIGINT START WITH 1 INCREMENT BY 1;
CREATE TABLE lancamento (
  id BIGINT GENERATED BY DEFAULT AS SEQUENCE lancamentos_id_seq PRIMARY KEY,
  data DATE NOT NULL,
  valor DECIMAL(15,2) NOT NULL,
  tipo_lancamento VARCHAR(25) NOT NULL,
  id_conta BIGINT NOT NULL,
  CONSTRAINT id_conta_lancamento_fk FOREIGN KEY (id_conta) REFERENCES conta(id)
);